# sfepy.discrete.iga.io module

IO for NURBS and Bezier extraction data.

sfepy.discrete.iga.io.read_iga_data(filename, group=None)

  Read IGA-related data from a HDF5 file using pytables.

  filename: str or tables.File

    File to read the hdf5 mesh to.

  group: tables.group.Group or None

    HDF5 file group to read the mesh from. If it’s None, the root of file is used.

  Returns:
    tuple

      Data for restoring IGA domain.

sfepy.discrete.iga.io.write_iga_data(filename, group, knots, degrees, control_points, weights, cs, conn, bezier_control_points, bezier_weights, bezier_conn, regions, name=None)

  Write IGA-related data into a HDF5 file using pytables.

  filename: str or tables.File

    File to read the hdf5 mesh to.

  group: tables.group.Group, optional

    HDF5 file group to read the data from. If None, the root of file is used.

  Returns:
    tuple

      Data for restoring IGA domain.